/*
* Brian R Taylor
* brian.taylor@bolderflight.com
* 
* Copyright (c) 2022 Bolder Flight Systems
* 
* Permission is hereby granted, free of charge, to any person obtaining a copy of this software 
* and associated documentation files (the "Software"), to deal in the Software without restriction, 
* including without limitation the rights to use, copy, modify, merge, publish, distribute, 
* sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is 
* furnished to do so, subject to the following conditions:
* 
* The above copyright notice and this permission notice shall be included in all copies or 
* substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING 
* BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
* NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#include "ainstein_usd1.h"

/* Ainstein US-D1 object on UART1 */
bfs::AinsteinUsD1 radalt(&Serial1);

void setup() {
  /* Serial to display data */
  Serial.begin(9600);
  while (!Serial) {}
  /* Initialize communication */
  if (!radalt.Begin()) {
    Serial.println("Unable to communicate with Ainstein US-D1");
    while (1) {}
  }
}

void loop() {
  /* Check for new data */
  if (radalt.Read()) {
    Serial.print(radalt.alt_m());
    Serial.print("\t");
    Serial.print(radalt.snr());
    Serial.print("\n");
  }
}
